Package org.eclipse.emf.cdo.lm.reviews

# Interface ReviewsPackage.Literals

Enclosing interface:
  ReviewsPackage

public static interface ReviewsPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`COMMENT`
The meta object literal for the '`Comment`' class.
`static final EAttribute`
`COMMENT__AUTHOR`
The meta object literal for the 'Author' attribute feature.
`static final EReference`
`COMMENT__COMMENTABLE`
The meta object literal for the 'Commentable' container reference feature.
`static final EReference`
`COMMENT__PARENT_HEADING`
The meta object literal for the 'Parent Heading' reference feature.
`static final EAttribute`
`COMMENT__STATUS`
The meta object literal for the 'Status' attribute feature.
`static final EAttribute`
`COMMENT__TEXT`
The meta object literal for the 'Text' attribute feature.
`static final EEnum`
`COMMENT_STATUS`
The meta object literal for the '`Comment Status`' enum.
`static final EClass`
`COMMENTABLE`
The meta object literal for the '`Commentable`' class.
`static final EAttribute`
`COMMENTABLE__COMMENT_COUNT`
The meta object literal for the 'Comment Count' attribute feature.
`static final EReference`
`COMMENTABLE__COMMENTS`
The meta object literal for the 'Comments' containment reference list feature.
`static final EAttribute`
`COMMENTABLE__RESOLVED_COUNT`
The meta object literal for the 'Resolved Count' attribute feature.
`static final EReference`
`COMMENTABLE__REVIEW`
The meta object literal for the 'Review' reference feature.
`static final EAttribute`
`COMMENTABLE__UNRESOLVED_COUNT`
The meta object literal for the 'Unresolved Count' attribute feature.
`static final EClass`
`DELIVERY_REVIEW`
The meta object literal for the '`Delivery Review`' class.
`static final EReference`
`DELIVERY_REVIEW__BASE`
The meta object literal for the 'Base' reference feature.
`static final EAttribute`
`DELIVERY_REVIEW__BRANCH`
The meta object literal for the 'Branch' attribute feature.
`static final EReference`
`DELIVERY_REVIEW__DELIVERIES`
The meta object literal for the 'Deliveries' reference list feature.
`static final EAttribute`
`DELIVERY_REVIEW__IMPACT`
The meta object literal for the 'Impact' attribute feature.
`static final EAttribute`
`DELIVERY_REVIEW__REBASE_COUNT`
The meta object literal for the 'Rebase Count' attribute feature.
`static final EReference`
`DELIVERY_REVIEW__SOURCE_CHANGE`
The meta object literal for the 'Source Change' reference feature.
`static final EAttribute`
`DELIVERY_REVIEW__SOURCE_COMMIT`
The meta object literal for the 'Source Commit' attribute feature.
`static final EAttribute`
`DELIVERY_REVIEW__TARGET_COMMIT`
The meta object literal for the 'Target Commit' attribute feature.
`static final EClass`
`DROP_REVIEW`
The meta object literal for the '`Drop Review`' class.
`static final EReference`
`DROP_REVIEW__DELIVERY`
The meta object literal for the 'Delivery' reference feature.
`static final EAttribute`
`DROP_REVIEW__DROP_LABEL`
The meta object literal for the 'Drop Label' attribute feature.
`static final EReference`
`DROP_REVIEW__DROP_TYPE`
The meta object literal for the 'Drop Type' reference feature.
`static final EAttribute`
`DROP_REVIEW__TARGET_TIME_STAMP`
The meta object literal for the 'Target Time Stamp' attribute feature.
`static final EClass`
`HEADING`
The meta object literal for the '`Heading`' class.
`static final EReference`
`HEADING__NEXT_HEADING`
The meta object literal for the 'Next Heading' reference feature.
`static final EAttribute`
`HEADING__OUTLINE_NUMBER`
The meta object literal for the 'Outline Number' attribute feature.
`static final EAttribute`
`HEADING__PARENT_INDEX`
The meta object literal for the 'Parent Index' attribute feature.
`static final EReference`
`HEADING__PREVIOUS_HEADING`
The meta object literal for the 'Previous Heading' reference feature.
`static final EClass`
`REVIEW`
The meta object literal for the '`Review`' class.
`static final EAttribute`
`REVIEW__AUTHOR`
The meta object literal for the 'Author' attribute feature.
`static final EAttribute`
`REVIEW__ID`
The meta object literal for the 'Id' attribute feature.
`static final EAttribute`
`REVIEW__REVIEWERS`
The meta object literal for the 'Reviewers' attribute list feature.
`static final EAttribute`
`REVIEW__STATUS`
The meta object literal for the 'Status' attribute feature.
`static final EEnum`
`REVIEW_STATUS`
The meta object literal for the '`Review Status`' enum.
`static final EClass`
`REVIEW_TEMPLATE`
The meta object literal for the '`Review Template`' class.
`static final EAttribute`
`REVIEW_TEMPLATE__REVIEWERS`
The meta object literal for the 'Reviewers' attribute list feature.

## Field Details

### COMMENTABLE

static final EClass COMMENTABLE
The meta object literal for the '`Commentable`' class.

See Also:
  - `CommentableImpl`
  - `ReviewsPackageImpl.getCommentable()`
Generated

### COMMENTABLE__REVIEW

static final EReference COMMENTABLE__REVIEW
The meta object literal for the 'Review' reference feature.

Generated

### COMMENTABLE__COMMENTS

static final EReference COMMENTABLE__COMMENTS
The meta object literal for the 'Comments' containment reference list feature.

Generated

### COMMENTABLE__COMMENT_COUNT

static final EAttribute COMMENTABLE__COMMENT_COUNT
The meta object literal for the 'Comment Count' attribute feature.

Generated

### COMMENTABLE__UNRESOLVED_COUNT

static final EAttribute COMMENTABLE__UNRESOLVED_COUNT
The meta object literal for the 'Unresolved Count' attribute feature.

Generated

### COMMENTABLE__RESOLVED_COUNT

static final EAttribute COMMENTABLE__RESOLVED_COUNT
The meta object literal for the 'Resolved Count' attribute feature.

Generated

### COMMENT

static final EClass COMMENT
The meta object literal for the '`Comment`' class.

See Also:
  - `CommentImpl`
  - `ReviewsPackageImpl.getComment()`
Generated

### COMMENT__COMMENTABLE

static final EReference COMMENT__COMMENTABLE
The meta object literal for the 'Commentable' container reference feature.

Generated

### COMMENT__PARENT_HEADING

static final EReference COMMENT__PARENT_HEADING
The meta object literal for the 'Parent Heading' reference feature.

Generated

### COMMENT__AUTHOR

static final EAttribute COMMENT__AUTHOR
The meta object literal for the 'Author' attribute feature.

Generated

### COMMENT__TEXT

static final EAttribute COMMENT__TEXT
The meta object literal for the 'Text' attribute feature.

Generated

### COMMENT__STATUS

static final EAttribute COMMENT__STATUS
The meta object literal for the 'Status' attribute feature.

Generated

### HEADING

static final EClass HEADING
The meta object literal for the '`Heading`' class.

See Also:
  - `HeadingImpl`
  - `ReviewsPackageImpl.getHeading()`
Generated

### HEADING__PREVIOUS_HEADING

static final EReference HEADING__PREVIOUS_HEADING
The meta object literal for the 'Previous Heading' reference feature.

Generated

### HEADING__NEXT_HEADING

static final EReference HEADING__NEXT_HEADING
The meta object literal for the 'Next Heading' reference feature.

Generated

### HEADING__PARENT_INDEX

static final EAttribute HEADING__PARENT_INDEX
The meta object literal for the 'Parent Index' attribute feature.

Generated

### HEADING__OUTLINE_NUMBER

static final EAttribute HEADING__OUTLINE_NUMBER
The meta object literal for the 'Outline Number' attribute feature.

Generated

### REVIEW_TEMPLATE

static final EClass REVIEW_TEMPLATE
The meta object literal for the '`Review Template`' class.

See Also:
  - `ReviewTemplateImpl`
  - `ReviewsPackageImpl.getReviewTemplate()`
Generated

### REVIEW_TEMPLATE__REVIEWERS

static final EAttribute REVIEW_TEMPLATE__REVIEWERS
The meta object literal for the 'Reviewers' attribute list feature.

Generated

### REVIEW

static final EClass REVIEW
The meta object literal for the '`Review`' class.

See Also:
  - `ReviewImpl`
  - `ReviewsPackageImpl.getReview()`
Generated

### REVIEW__ID

static final EAttribute REVIEW__ID
The meta object literal for the 'Id' attribute feature.

Generated

### REVIEW__AUTHOR

static final EAttribute REVIEW__AUTHOR
The meta object literal for the 'Author' attribute feature.

Generated

### REVIEW__REVIEWERS

static final EAttribute REVIEW__REVIEWERS
The meta object literal for the 'Reviewers' attribute list feature.

Generated

### REVIEW__STATUS

static final EAttribute REVIEW__STATUS
The meta object literal for the 'Status' attribute feature.

Generated

### DELIVERY_REVIEW

static final EClass DELIVERY_REVIEW
The meta object literal for the '`Delivery Review`' class.

See Also:
  - `DeliveryReviewImpl`
  - `ReviewsPackageImpl.getDeliveryReview()`
Generated

### DELIVERY_REVIEW__BASE

static final EReference DELIVERY_REVIEW__BASE
The meta object literal for the 'Base' reference feature.

Generated

### DELIVERY_REVIEW__IMPACT

static final EAttribute DELIVERY_REVIEW__IMPACT
The meta object literal for the 'Impact' attribute feature.

Generated

### DELIVERY_REVIEW__BRANCH

static final EAttribute DELIVERY_REVIEW__BRANCH
The meta object literal for the 'Branch' attribute feature.

Generated

### DELIVERY_REVIEW__DELIVERIES

static final EReference DELIVERY_REVIEW__DELIVERIES
The meta object literal for the 'Deliveries' reference list feature.

Generated

### DELIVERY_REVIEW__SOURCE_CHANGE

static final EReference DELIVERY_REVIEW__SOURCE_CHANGE
The meta object literal for the 'Source Change' reference feature.

Generated

### DELIVERY_REVIEW__SOURCE_COMMIT

static final EAttribute DELIVERY_REVIEW__SOURCE_COMMIT
The meta object literal for the 'Source Commit' attribute feature.

Generated

### DELIVERY_REVIEW__TARGET_COMMIT

static final EAttribute DELIVERY_REVIEW__TARGET_COMMIT
The meta object literal for the 'Target Commit' attribute feature.

Generated

### DELIVERY_REVIEW__REBASE_COUNT

static final EAttribute DELIVERY_REVIEW__REBASE_COUNT
The meta object literal for the 'Rebase Count' attribute feature.

Generated

### DROP_REVIEW

static final EClass DROP_REVIEW
The meta object literal for the '`Drop Review`' class.

See Also:
  - `DropReviewImpl`
  - `ReviewsPackageImpl.getDropReview()`
Generated

### DROP_REVIEW__DELIVERY

static final EReference DROP_REVIEW__DELIVERY
The meta object literal for the 'Delivery' reference feature.

Generated

### DROP_REVIEW__TARGET_TIME_STAMP

static final EAttribute DROP_REVIEW__TARGET_TIME_STAMP
The meta object literal for the 'Target Time Stamp' attribute feature.

Generated

### DROP_REVIEW__DROP_TYPE

static final EReference DROP_REVIEW__DROP_TYPE
The meta object literal for the 'Drop Type' reference feature.

Generated

### DROP_REVIEW__DROP_LABEL

static final EAttribute DROP_REVIEW__DROP_LABEL
The meta object literal for the 'Drop Label' attribute feature.

Generated

### COMMENT_STATUS

static final EEnum COMMENT_STATUS
The meta object literal for the '`Comment Status`' enum.

See Also:
  - `CommentStatus`
  - `ReviewsPackageImpl.getCommentStatus()`
Generated

### REVIEW_STATUS

static final EEnum REVIEW_STATUS
The meta object literal for the '`Review Status`' enum.

See Also:
  - `ReviewStatus`
  - `ReviewsPackageImpl.getReviewStatus()`
Generated